#! /bin/bash

trap "echo '*** BUILD FAILED! ***' 1>&2" ERR
set -ex -o pipefail
umask 022
export PATH='/bin:/usr/bin:/usr/local/bin:~/diet-pc/tools'
export CFLAGS=${CFLAGS:--Os}
export CXXFLAGS=${CXXFLAGS:--Os}

rebuild () {
    tar xjf xf4vnc_module-1.9.0.tar.bz2
    cd xf4vnc_module-1.9.0
    make
    strip -R .note -R .comment libvnc.so
    mkdir -p ../xserver-xorg-vnc/lib/xorg/modules/extensions
    cp libvnc.so ../xserver-xorg-vnc/lib/xorg/modules/extensions/
    cd ..
    rm -rf xf4vnc_module-1.9.0
}

chmod 600 xserver-xorg-vnc/etc/vncpasswd

while read FN; do
    eval "[ -e $FN ] || rebuild"
done < MANIFEST

ARCH=`ipkg -V 0 print_architecture | tail -n 1 | cut -f2 -d' '`
for CTRLFILE in */CONTROL/control; do
    sed -i -e "s/__ARCH__/$ARCH/g" $CTRLFILE
    sudo ipkg-build -o root -g root `dirname $CTRLFILE`/..
done
